version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: cpn-lancache_app_1
      APP_PORT: "80"
      
  app:
    image: lancachenet/monolithic:latest
    environment:
      - USE_GENERIC_CACHE=true
      - LANCACHE_IP=192.168.178.70
      - UPSTREAM_DNS=8.8.8.8
      - CACHE_ROOT=/cache
      - CACHE_DISK_SIZE=2000g
      - CACHE_INDEX_SIZE=500m
      - CACHE_MAX_AGE=3650d
      - TZ=Europe/Berlin
    restart: unless-stopped
    volumes:
      - ${APP_DATA_DIR}/cache:/data/cache
      - ${APP_DATA_DIR}/logs:/data/logs
    ulimits:
      nofile:
        soft: 65536
        hard: 65536
        
  dns:
    image: lancachenet/lancache-dns:latest
    environment:
      - USE_GENERIC_CACHE=true
      - LANCACHE_IP=192.168.178.70
      - UPSTREAM_DNS=8.8.8.8
      - DISABLE_IPV6=true
      - TZ=Europe/Berlin
    ports:
      - "53:53/udp"
      - "53:53/tcp"
    restart: unless-stopped